- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# sbuild-keyfile.cc File Reference

`#include <config.h>`
`#include "sbuild-keyfile.h"`
`#include <fstream>`
`#include <boost/format.hpp>`

Include dependency graph for sbuild-keyfile.cc:

## Typedefs
typedef std::pair< keyfile::error_code, const char * > | emap
## Functions
keyfile | operator+ (keyfile const &lhs, keyfile const &rhs)
## Variables
emap | init_errors []
| This is a list of the supported error codes.

## Typedef Documentation

typedef std::pair<keyfile::error_code,const char *> emap`[static]`

## Function Documentation

keyfile operator+ | ( | keyfile const & | lhs,
|  | keyfile const & | rhs |
| ) |  |  |

Parameters:

  | lhs | the keyfile to add to.
  | rhs | the values to add.

Returns:
  the new keyfile.

## Variable Documentation

emap init_errors[]`[static]`

This is a list of the supported error codes.

It's used to construct the real error codes map.